当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 编译问题!
帖子发表于 : 2009-04-03 20:35 

注册: 2009-04-03 20:05
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
我在编译2.6.29内核时出现以下问题:
root@core-desktop:/usr/src/linux-2.6.29# make menuconfig
*** Unable to find the ncurses libraries or the
*** required header files.
*** 'make menuconfig' requires the ncurses libraries.
***
*** Install ncurses (ncurses-devel) and try again.
***
make[1]: *** [scripts/kconfig/dochecklxdialog] Error 1
make: *** [menuconfig] Error 2

之后我在/usr/src/目录下运行:
root@core-desktop:/usr/src/linux-2.6.29# apt-get install ncurses
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package ncurses is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package ncurses has no installation candidate

该如何解决这个问题? 请高手指点迷津! 谢谢


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 编译问题!
帖子发表于 : 2009-04-03 20:50 
头像

注册: 2007-09-29 3:09
帖子: 5773
送出感谢: 0 次
接收感谢: 3
aptitude search ncurses


_________________
HUNT Unfortunately No Talent...


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 编译问题!
帖子发表于 : 2009-04-04 15:51 
头像

注册: 2008-05-02 19:50
帖子: 734
送出感谢: 0 次
接收感谢: 0 次
检查你的源. 把官方的源加上吧. 这样保险点, (虽然有点慢).


_________________
In a world without walls who needs Windows?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译